OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface Class Reference

`#include <PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface.hxx>`

Inheritance diagram for PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface:

[legend]

## Public Member Functions
Standard_EXPORT | PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface ()
Standard_EXPORT | PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface (const Handle(PGeom_BoundedSurface)&aValue)
Standard_EXPORT void | SetValue (const Handle(PGeom_BoundedSurface)&aValue)
Standard_EXPORT Standard_Address | Value () const
| PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface (const Storage_stCONSTclCOM &a)
| Handle (PGeom_BoundedSurface) _CSFDB_GetPColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurfacemyValue() const
void | _CSFDB_SetPColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurfacemyValue (const Handle(PGeom_BoundedSurface)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PGeom_BoundedSurface | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface::PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface | ( |  | ) |

Standard_EXPORT PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface::PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface | ( | const Handle(PGeom_BoundedSurface)& | aValue | ) |

PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface::PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface::_CSFDB_SetPColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurfacemyValue | ( | const Handle(PGeom_BoundedSurface)& | p | ) | `[inline]`

Standard_EXPORT const PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface::Handle | ( | PGeom_BoundedSurface |  | ) | const`[inline]`

Standard_EXPORT void PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface::SetValue | ( | const Handle(PGeom_BoundedSurface)& | aValue | ) |

Standard_EXPORT Standard_Address PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom_BoundedSurface PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface::myValue`[private]`

The documentation for this class was generated from the following file:

- PColPGeom_VArrayNodeOfFieldOfHArray2OfBoundedSurface.hxx